diff --git a/plasmoid/contents/ui/config/Currency.qml b/plasmoid/contents/ui/config/Currency.qml
index b8359e8..2ac30dc 100644
--- a/plasmoid/contents/ui/config/Currency.qml
+++ b/plasmoid/contents/ui/config/Currency.qml
@@ -71,7 +71,7 @@ Item {
       Label {
         id: lFooBar
         enabled: cbUpdateExchangeRatesAtStartup.checked
-        text: i18n("hours")
+        text: i18np("hour", "hours", sbExchangeRateUpdateInterval.value)
       }
     }
 
diff --git a/translations/po/plasma_applet_org.kde.plasma.qalculate.pot b/translations/po/plasma_applet_org.kde.plasma.qalculate.pot
index cc9f853..2593c4f 100644
--- a/translations/po/plasma_applet_org.kde.plasma.qalculate.pot
+++ b/translations/po/plasma_applet_org.kde.plasma.qalculate.pot
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: plasma_applet_org.kde.plasma.qalculate\n"
 "Report-Msgid-Bugs-To: https://github.com/dschopf/qalculate/issues\n"
-"POT-Creation-Date: 2022-09-25 10:52+0200\n"
+"POT-Creation-Date: 2023-01-11 18:26+0700\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -16,6 +16,7 @@ msgstr ""
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=CHARSET\n"
 "Content-Transfer-Encoding: 8bit\n"
+"Plural-Forms: nplurals=INTEGER; plural=EXPRESSION;\n"
 
 #: ../plasmoid/contents/config/config.qml:27
 msgid "General"
@@ -42,8 +43,10 @@ msgid "Update exchange rates every"
 msgstr ""
 
 #: ../plasmoid/contents/ui/config/Currency.qml:74
-msgid "hours"
-msgstr ""
+msgid "hour"
+msgid_plural "hours"
+msgstr[0] ""
+msgstr[1] ""
 
 #: ../plasmoid/contents/ui/config/Currency.qml:80
 msgctxt "Exchange rates"
diff --git a/translations/po/plasma_applet_org.kde.plasma.qalculate_de.po b/translations/po/plasma_applet_org.kde.plasma.qalculate_de.po
index 69bddeb..23030ff 100644
--- a/translations/po/plasma_applet_org.kde.plasma.qalculate_de.po
+++ b/translations/po/plasma_applet_org.kde.plasma.qalculate_de.po
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: 1.0\n"
 "Report-Msgid-Bugs-To: https://github.com/dschopf/qalculate/issues\n"
-"POT-Creation-Date: 2022-09-25 10:52+0200\n"
+"POT-Creation-Date: 2023-01-11 18:26+0700\n"
 "PO-Revision-Date: 2020-01-15 19:40+0100\n"
 "Last-Translator: Daniel Schopf <schopf.dan@gmail.org>\n"
 "Language-Team: German <>\n"
@@ -42,8 +42,11 @@ msgid "Update exchange rates every"
 msgstr "Wechselkurse regelmäßig aktualisieren, alle"
 
 #: ../plasmoid/contents/ui/config/Currency.qml:74
-msgid "hours"
-msgstr "Stunden"
+#, fuzzy
+msgid "hour"
+msgid_plural "hours"
+msgstr[0] "Stunden"
+msgstr[1] "Stunden"
 
 #: ../plasmoid/contents/ui/config/Currency.qml:80
 msgctxt "Exchange rates"
diff --git a/translations/po/plasma_applet_org.kde.plasma.qalculate_en.po b/translations/po/plasma_applet_org.kde.plasma.qalculate_en.po
index 31dbcac..7114c3a 100644
--- a/translations/po/plasma_applet_org.kde.plasma.qalculate_en.po
+++ b/translations/po/plasma_applet_org.kde.plasma.qalculate_en.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: 1.0\n"
 "Report-Msgid-Bugs-To: https://github.com/dschopf/qalculate/issues\n"
-"POT-Creation-Date: 2022-09-25 10:52+0200\n"
+"POT-Creation-Date: 2023-01-11 18:26+0700\n"
 "PO-Revision-Date: 2016-09-12 19:18+0200\n"
 "Last-Translator: Daniel Schopf <schopf.dan@gmail.com>\n"
 "Language-Team: Daniel Schopf <schopf.dan@gmail.com>\n"
@@ -41,8 +41,10 @@ msgid "Update exchange rates every"
 msgstr ""
 
 #: ../plasmoid/contents/ui/config/Currency.qml:74
-msgid "hours"
-msgstr ""
+msgid "hour"
+msgid_plural "hours"
+msgstr[0] ""
+msgstr[1] ""
 
 #: ../plasmoid/contents/ui/config/Currency.qml:80
 msgctxt "Exchange rates"
diff --git a/translations/po/plasma_applet_org.kde.plasma.qalculate_es.po b/translations/po/plasma_applet_org.kde.plasma.qalculate_es.po
index 008b8d8..f2718ea 100644
--- a/translations/po/plasma_applet_org.kde.plasma.qalculate_es.po
+++ b/translations/po/plasma_applet_org.kde.plasma.qalculate_es.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: 1.0\n"
 "Report-Msgid-Bugs-To: https://github.com/dschopf/qalculate/issues\n"
-"POT-Creation-Date: 2022-09-25 10:52+0200\n"
+"POT-Creation-Date: 2023-01-11 18:26+0700\n"
 "PO-Revision-Date: 2016-09-12 19:18+0200\n"
 "Last-Translator: Obed González <obedlink@gmail.com>\n"
 "Language-Team: Obed González <obedlink@gmail.com>\n"
@@ -41,8 +41,11 @@ msgid "Update exchange rates every"
 msgstr "Actualizar tasas de cambio cada"
 
 #: ../plasmoid/contents/ui/config/Currency.qml:74
-msgid "hours"
-msgstr "horas"
+#, fuzzy
+msgid "hour"
+msgid_plural "hours"
+msgstr[0] "horas"
+msgstr[1] "horas"
 
 #: ../plasmoid/contents/ui/config/Currency.qml:80
 msgctxt "Exchange rates"
diff --git a/translations/po/plasma_applet_org.kde.plasma.qalculate_hr.po b/translations/po/plasma_applet_org.kde.plasma.qalculate_hr.po
index b2979b5..91987ed 100644
--- a/translations/po/plasma_applet_org.kde.plasma.qalculate_hr.po
+++ b/translations/po/plasma_applet_org.kde.plasma.qalculate_hr.po
@@ -9,7 +9,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: plasma_applet_qalculate\n"
 "Report-Msgid-Bugs-To: https://github.com/dschopf/qalculate/issues\n"
-"POT-Creation-Date: 2022-09-25 10:52+0200\n"
+"POT-Creation-Date: 2023-01-11 18:26+0700\n"
 "PO-Revision-Date: 2022-04-07 15:36+0200\n"
 "Last-Translator: Milo Ivir <mail@milotype.de>\n"
 "Language-Team: \n"
@@ -46,8 +46,11 @@ msgid "Update exchange rates every"
 msgstr ""
 
 #: ../plasmoid/contents/ui/config/Currency.qml:74
-msgid "hours"
-msgstr ""
+msgid "hour"
+msgid_plural "hours"
+msgstr[0] ""
+msgstr[1] ""
+msgstr[2] ""
 
 #: ../plasmoid/contents/ui/config/Currency.qml:80
 msgctxt "Exchange rates"
diff --git a/translations/po/plasma_applet_org.kde.plasma.qalculate_pt.po b/translations/po/plasma_applet_org.kde.plasma.qalculate_pt.po
index d7eb98e..3eba9d6 100644
--- a/translations/po/plasma_applet_org.kde.plasma.qalculate_pt.po
+++ b/translations/po/plasma_applet_org.kde.plasma.qalculate_pt.po
@@ -7,7 +7,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: 1.0\n"
 "Report-Msgid-Bugs-To: https://github.com/dschopf/qalculate/issues\n"
-"POT-Creation-Date: 2022-09-25 10:52+0200\n"
+"POT-Creation-Date: 2023-01-11 18:26+0700\n"
 "PO-Revision-Date: 2020-01-09 13:08-0800\n"
 "Last-Translator: Peter J. Mello <admin@petermello.net>\n"
 "Language-Team: Peter J. Mello <admin@petermello.net>\n"
@@ -41,8 +41,10 @@ msgid "Update exchange rates every"
 msgstr ""
 
 #: ../plasmoid/contents/ui/config/Currency.qml:74
-msgid "hours"
-msgstr ""
+msgid "hour"
+msgid_plural "hours"
+msgstr[0] ""
+msgstr[1] ""
 
 #: ../plasmoid/contents/ui/config/Currency.qml:80
 msgctxt "Exchange rates"
diff --git a/translations/po/plasma_applet_org.kde.plasma.qalculate_ru.po b/translations/po/plasma_applet_org.kde.plasma.qalculate_ru.po
index ef54f52..4a51808 100644
--- a/translations/po/plasma_applet_org.kde.plasma.qalculate_ru.po
+++ b/translations/po/plasma_applet_org.kde.plasma.qalculate_ru.po
@@ -6,7 +6,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: plasma_applet_qalculate\n"
 "Report-Msgid-Bugs-To: https://github.com/dschopf/qalculate/issues\n"
-"POT-Creation-Date: 2022-09-25 10:52+0200\n"
+"POT-Creation-Date: 2023-01-11 18:26+0700\n"
 "PO-Revision-Date: 2021-05-18 22:51+0700\n"
 "Last-Translator: Damir Islamov <damir@secretlaboratory.ru>\n"
 "Language-Team: Russian <kde-russian@lists.kde.ru>\n"
@@ -40,11 +40,15 @@ msgstr "Обновлять курсы валют при запуске"
 
 #: ../plasmoid/contents/ui/config/Currency.qml:58
 msgid "Update exchange rates every"
-msgstr ""
+msgstr "Обновлять курсы валют через"
 
 #: ../plasmoid/contents/ui/config/Currency.qml:74
-msgid "hours"
-msgstr ""
+msgid "hour"
+msgid_plural "hours"
+msgstr[0] "час"
+msgstr[1] "часа"
+msgstr[2] "часов"
+msgstr[3] "час"
 
 #: ../plasmoid/contents/ui/config/Currency.qml:80
 msgctxt "Exchange rates"
